import asyncio

from spiders.base_spider import BaseSpider


class BenshanzhufuRecommend(BaseSpider):
    def __init__(self, rule_dict, user_list, trace_id):
        super().__init__(rule_dict, user_list, trace_id)


async def main():
    rule_dict = {}
    user_list = [{'uid': 20631262, 'link': 'recommend_2060', 'nick_name': '人老心不老'},
                 {'uid': 20631263, 'link': 'recommend_2061', 'nick_name': '荷花朵朵'},
                 {'uid': 20631264, 'link': 'recommend_2062', 'nick_name': '战友情'},
                 {'uid': 20631265, 'link': 'recommend_2063', 'nick_name': '闲人老李'},
                 {'uid': 20631266, 'link': 'recommend_2064', 'nick_name': '盛世白莲'},
                 {'uid': 20631267, 'link': 'recommend_2065', 'nick_name': '星星点灯'},
                 {'uid': 20631268, 'link': 'recommend_2066', 'nick_name': '老同学'},
                 {'uid': 20631269, 'link': 'recommend_2067', 'nick_name': '赤子之心'},
                 {'uid': 20631271, 'link': 'recommend_2068', 'nick_name': '缘分'},
                 {'uid': 20631272, 'link': 'recommend_2069', 'nick_name': '欢度余生'}]
    trace_id = "1321"
    bszf = BenshanzhufuRecommend(rule_dict, user_list, trace_id)
    await bszf.run()


if __name__ == '__main__':
    asyncio.run(main())  # 异步入口
