import asyncio
import random
import string
from datetime import datetime

# 导入封装的异步工具类
from core.utils.feishu_data_async import FeishuDataAsync  # 假设已保存为该文件名

async def test_feishu():
    async with FeishuDataAsync() as feishu:
        spreadsheet_token = "ISFnspGcjhyxO6tj0fycbQARnUg"
        sheet_id = "a44975"
        valus =await feishu.get_values(spreadsheet_token=spreadsheet_token,sheet_id=sheet_id)

        print(valus)
        await feishu.insert_values(spreadsheet_token=spreadsheet_token, sheet_id=sheet_id, ranges="A2:Z2", values=["2", "23333", "3", "4"])



if __name__ == '__main__':
    asyncio.run(test_feishu())